from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String, File

Run_Hla_V0_1_0 = CommandToolBuilder(tool="run_HLA", base_command=["run-HLA"], inputs=[ToolInput(tag="in_do_create_files", input_type=Boolean(optional=True), prefix="-c", doc=InputDocumentation(doc="Don't create files")), ToolInput(tag="in_d", input_type=String(optional=True), prefix="-d", doc=InputDocumentation(doc="Date/time to use")), ToolInput(tag="in_t", input_type=String(optional=True), prefix="-t", doc=InputDocumentation(doc="Date/time to use")), ToolInput(tag="in_use_files_datetime", input_type=File(optional=True), prefix="-r", doc=InputDocumentation(doc="Use FILE's date/time")), ToolInput(tag="in_one_column_output", input_type=Boolean(optional=True), prefix="-1", doc=InputDocumentation(doc="One column output")), ToolInput(tag="in_include_entries_start", input_type=Boolean(optional=True), prefix="-a", doc=InputDocumentation(doc="Include entries which start with .")), ToolInput(tag="in_like_a_exclude", input_type=Boolean(optional=True), prefix="-A", doc=InputDocumentation(doc="Like -a, but exclude . and ..")), ToolInput(tag="in_list_by_columns", input_type=Boolean(optional=True), prefix="-C", doc=InputDocumentation(doc="List by columns")), ToolInput(tag="in_list_by_lines", input_type=Boolean(optional=True), prefix="-x", doc=InputDocumentation(doc="List by lines")), ToolInput(tag="in_follow_symlinks", input_type=Boolean(optional=True), prefix="-L", doc=InputDocumentation(doc="Follow symlinks")), ToolInput(tag="in_follow_symlinks_command", input_type=Boolean(optional=True), prefix="-H", doc=InputDocumentation(doc="Follow symlinks on command line")), ToolInput(tag="in_recurse", input_type=Boolean(optional=True), prefix="-R", doc=InputDocumentation(doc="Recurse")), ToolInput(tag="in_append_dir_entries", input_type=Boolean(optional=True), prefix="-p", doc=InputDocumentation(doc="Append / to dir entries")), ToolInput(tag="in_append_indicator_one", input_type=Boolean(optional=True), prefix="-F", doc=InputDocumentation(doc="Append indicator (one of */=@|) to entries")), ToolInput(tag="in_long_listing_format", input_type=Boolean(optional=True), prefix="-l", doc=InputDocumentation(doc="Long listing format")), ToolInput(tag="in_list_inode_numbers", input_type=Boolean(optional=True), prefix="-i", doc=InputDocumentation(doc="List inode numbers")), ToolInput(tag="in_list_numeric_uids", input_type=Boolean(optional=True), prefix="-n", doc=InputDocumentation(doc="List numeric UIDs and GIDs instead of names")), ToolInput(tag="in_list_allocated_blocks", input_type=Boolean(optional=True), prefix="-s", doc=InputDocumentation(doc="List allocated blocks")), ToolInput(tag="in_list_full_date", input_type=Boolean(optional=True), prefix="-e", doc=InputDocumentation(doc="List full date and time")), ToolInput(tag="in_sort_by_size", input_type=Boolean(optional=True), prefix="-S", doc=InputDocumentation(doc="Sort by size")), ToolInput(tag="in_sort_by_extension", input_type=Boolean(optional=True), prefix="-X", doc=InputDocumentation(doc="Sort by extension")), ToolInput(tag="in_sort_by_version", input_type=Boolean(optional=True), prefix="-v", doc=InputDocumentation(doc="Sort by version")), ToolInput(tag="in_l_sort_atime", input_type=Boolean(optional=True), prefix="-u", doc=InputDocumentation(doc="With -l: sort by atime")), ToolInput(tag="in_assume_terminal_n", input_type=String(optional=True), prefix="-w", doc=InputDocumentation(doc="Assume the terminal is N columns wide")), ToolInput(tag="in_color", input_type=Boolean(optional=True), prefix="--color", doc=InputDocumentation(doc="[={always,never,auto}]   Control coloring")), ToolInput(tag="in_one_aacxdlhrfplinsehrsxvctu", input_type=Boolean(optional=True), prefix="-1AaCxdLHRFplinsehrSXvctu", doc=InputDocumentation(doc="")), ToolInput(tag="in_ls", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_touch", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_file", input_type=File(optional=True), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_file_dot_dot_dot", input_type=File(), position=1, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Run_Hla_V0_1_0().translate("wdl", allow_empty_container=True)

